Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.util
Class CombinedBeanInfo

    java.lang.Object
      org.apache.tiles.util.CombinedBeanInfo

    public class CombinedBeanInfo

extends java.lang.Object

Contains the bean infos about one or more classes.

Since:
  2.2.0
Version:
  $Rev: 797905 $ $Date: 2009-07-26 13:21:31 +0200 (dom, 26 lug 2009) $

Constructor Summary
`CombinedBeanInfo(java.lang.Class<?>... clazzes)` Constructor.

Method Summary
`java.util.List<java.beans.FeatureDescriptor>` | `getDescriptors()` Returns the descriptors of all the introspected classes.
`java.util.Map<java.lang.String,java.beans.PropertyDescriptor>` | `getMappedDescriptors(java.lang.Class<?> clazz)` Returns a map of the introspected properties for the given class.
`java.util.Set<java.lang.String>` | `getProperties(java.lang.Class<?> clazz)` Returns the set of properties for the given introspected class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedBeanInfo

    public CombinedBeanInfo(java.lang.Class<?>... clazzes)

  Constructor.

  Parameters:
    `clazzes` - The list of classes to analyze and combine.
  Since:
    2.2.0

Method Detail

### getDescriptors

    public java.util.List<java.beans.FeatureDescriptor> getDescriptors()

  Returns the descriptors of all the introspected classes.

  Returns:
    The feature descriptors.
  Since:
    2.2.0

### getMappedDescriptors

    public java.util.Map<java.lang.String,java.beans.PropertyDescriptor> getMappedDescriptors(java.lang.Class<?> clazz)

  Returns a map of the introspected properties for the given class.

  Parameters:
    `clazz` - The class to get the properties from.
  Returns:
    The map of property descriptors.
  Since:
    2.2.0

### getProperties

    public java.util.Set<java.lang.String> getProperties(java.lang.Class<?> clazz)

  Returns the set of properties for the given introspected class.

  Parameters:
    `clazz` - The class to get the properties from.
  Returns:
    The set of properties.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.